#ifndef _LIBDIAG_H
#define _LIBDIAG_H

#include <unistd.h>
#include <time.h>
#include <stdint.h>
#include <pthread.h>

unsigned long long rdtsc( void );    // счётчик проц. тактов
unsigned calibr( int rep );          // калибровка измерения rdtsc
uint64_t proc_hz( void );            // замеренная частота процессора
void set_rt( void );
double tick2us( unsigned long long proc_hz, unsigned long ticks );
void delay( long usec );             // пассивная задержка в микро-секундах 

#endif
